#
# spec file for package gnome-main-menu (Version 0.9.8)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-main-menu
BuildRequires:  NetworkManager-devel NetworkManager-glib gnome-common gnome-desktop-devel gnome-menus-devel gnome-panel-devel gnutls-devel gtk-doc intltool libgnomeprintui-devel libgtop-devel libidn librsvg-devel libwnck-devel mDNSResponder-devel nautilus-devel perl-XML-Parser python-devel python-gtk qt3 scrollkeeper update-desktop-files wireless-tools
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL v2 or later
Group:          System/GUI/GNOME
AutoReqProv:    on
Version:        0.9.8
Release:        0.35.72
Summary:        The GNOME Desktop Menu
Source:         %{name}-%{version}.tar.gz
Source1:        slab-sle10-sp.schemas.in.in
Source2:        system-items-sle10-sp.xbel
Source3:        applications-sles10.xbel
Source4:        gnome-main-menu-po.tar.bz2
Source5:        empty.ott
Source6:        empty.ots
Patch:          gnome-main-menu-BNC366732.patch
Patch1:         gnome-main-menu-bnc307862-fix-cpu-hog-when-unsuspending.diff
Patch2:         gnome-main-menu-fix-places.patch
Patch3:         gnome-main-menu-bnc546121.patch
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem gconf2
Requires:       gnome-panel dbus-1-glib hal tango-icon-theme wireless-tools libssui

%description
The GNOME Desktop Menu and Application Browser.



Authors:
--------
    Scott Reeves <sreeves@novell.com>
    Jimmy Krehl <jimmyk@novell.com>

%package devel
License:        GPL v2 or later
Summary:        The GNOME Desktop Menu
Group:          System/GUI/GNOME
AutoReqProv:    on
Requires:       %{name} = %{version} gtk2-devel libgnomeui-devel libbonoboui-devel libglade2-devel librsvg-devel
Requires:       gnome-desktop-devel gnome-menus-devel glib2-devel pango-devel

%description devel
The GNOME Desktop Menu and Application Browser.



Authors:
--------
    Scott Reeves <sreeves@novell.com>
    Jimmy Krehl <jimmyk@novell.com>

%package -n nautilus-gnome-main-menu
License:        GPL v2 or later
Summary:        The GNOME Desktop Menu
Group:          System/GUI/GNOME
AutoReqProv:    on

%description -n nautilus-gnome-main-menu
The GNOME Desktop Menu and Application Browser.



Authors:
--------
    Scott Reeves <sreeves@novell.com>
    Jimmy Krehl <jimmyk@novell.com>

%prep
%setup -n gnome-main-menu-%{version} -a 4
%patch -p0
%patch1 -p1
%patch2 -p0
%patch3 -p1
cp -f %{S:1} main-menu/etc/slab.schemas.in.in
cp -f %{S:2} main-menu/etc/system-items.xbel
cp -f %{S:5} main-menu/etc/
cp -f %{S:6} main-menu/etc/

%build
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --libexecdir=%prefix/lib/%name \
    --sysconfdir=%sysconfdir \
    --enable-nautilus-extension
make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%suse_update_desktop_file gnome-session-kill System
%suse_update_desktop_file gnome-screensaver-lock System
%find_lang %{name}
rm $RPM_BUILD_ROOT/%{prefix}/%{_lib}/nautilus/extensions-1.0/*.*a
mkdir $RPM_BUILD_ROOT/%{prefix}/share/autostart
cp application-browser/etc/application-browser.desktop $RPM_BUILD_ROOT/%{prefix}/share/autostart/
sed -i "/^Exec=/ s/application-browser *$/application-browser -h/" $RPM_BUILD_ROOT/%{prefix}/share/autostart/application-browser.desktop
mv $RPM_BUILD_ROOT/%{prefix}/share/gnome-main-menu/applications.xbel $RPM_BUILD_ROOT/%{prefix}/share/gnome-main-menu/applications-sled10.xbel
cp -f %{S:3} $RPM_BUILD_ROOT/%{prefix}/share/gnome-main-menu
ln -sf %{prefix}/share/gnome-main-menu/applications-sled10.xbel $RPM_BUILD_ROOT/%{prefix}/share/gnome-main-menu/applications.xbel

%clean
rm -rf $RPM_BUILD_ROOT

%post
opt/gnome/bin/gconftool-2 --shutdown
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/slab.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/control-center.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/application-browser.schemas >/dev/null
if [[ -e /etc/SuSE-release && `grep 'SUSE Linux Enterprise Server' /etc/SuSE-release` ]] ; then
	ln -sf %{prefix}/share/gnome-main-menu/applications-sles10.xbel %{prefix}/share/gnome-main-menu/applications.xbel
else
	ln -sf %{prefix}/share/gnome-main-menu/applications-sled10.xbel %{prefix}/share/gnome-main-menu/applications.xbel
fi
%run_ldconfig

%postun
%run_ldconfig

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{sysconfdir}/gconf/schemas/slab.schemas
%{sysconfdir}/gconf/schemas/control-center.schemas
%{sysconfdir}/gconf/schemas/application-browser.schemas
%dir %{prefix}/share/gnome-main-menu
%{prefix}/share/gnome-main-menu/applications-sled10.xbel
%{prefix}/share/gnome-main-menu/applications-sles10.xbel
%ghost %{prefix}/share/gnome-main-menu/applications.xbel
%{prefix}/share/gnome-main-menu/documents.xbel
%{prefix}/share/gnome-main-menu/empty.ots
%{prefix}/share/gnome-main-menu/empty.ott
%{prefix}/share/gnome-main-menu/places.xbel
%{prefix}/share/gnome-main-menu/system-items.xbel
%{prefix}/share/gnome-main-menu/slab-window.glade
%{prefix}/lib/%{name}
%{prefix}/bin/application-browser
%{prefix}/bin/control-center
%{prefix}/%{_lib}/bonobo/servers/GNOME_MainMenu.server
%{prefix}/%{_lib}/*.so.*
%{prefix}/share/applications/application-browser.desktop
%{prefix}/share/applications/control-center.desktop
%{prefix}/share/applications/gnome-screensaver-lock.desktop
%{prefix}/share/applications/gnome-session-kill.desktop
%{prefix}/share/gnome-2.0/ui/GNOME_MainMenu_ContextMenu.xml
%{prefix}/share/autostart/application-browser.desktop
%dir %{prefix}/share/locale/lo
%dir %{prefix}/share/locale/lo/LC_MESSAGES
%dir %{prefix}/share/locale/en_IGID
%dir %{prefix}/share/locale/en_IGID/LC_MESSAGES
# %{prefix}/share/locale/*/LC_MESSAGES/*.mo

%files devel
%defattr (-, root, root)
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/%{_lib}/*.*a
%{prefix}/%{_lib}/*.so
%{prefix}/include/slab

%files -n nautilus-gnome-main-menu
%defattr (-, root, root)
%{prefix}/%{_lib}/nautilus/extensions-1.0/*.so

%changelog
* Fri Aug 27 2010 ro@suse.de
- refresh patches to remove fuzz
* Thu Aug  5 2010 dliang@novell.com
- Add gnome-main-menu-bnc546121.patch to fix bnc#546121
  - gnome-main-menu dies if cable of multipath controller is pulled
  written by  Vincent Untz
* Fri Jul 17 2009 lzwang@novell.com
- merge ko.po file from the upstream 0.9.12 into file gnome-main-menu-po.tar.bz2
  bnc#461967
* Sat Jul 12 2008 crivera@suse.de
- Add gnome-main-menu-fix-places.patch.  This patch
  allows entries in the places section to be handled
  by applications other than nautilus.  This fixes
  bnc#390400.
* Mon Jun  2 2008 pwu@suse.de
- Fixes French Translation, BNC#393476.
* Fri Apr 18 2008 mauro@suse.de 
- Updated translations.
* Wed Apr  9 2008 federico@novell.com
- Added gnome-main-menu-bnc307862-fix-cpu-hog-when-unsuspending.diff
  as a backport for SLED10-SP2 for the fix to
  https://bugzilla.novell.com/show_bug.cgi?id=307862 - gnome-main-menu
  uses 100%% CPU and takes a long time to respond after unsuspending a
  laptop.
* Tue Apr  8 2008 mauro@suse.de 
- Updated translations (fixing pt_BR issues in the process).
* Fri Mar 28 2008 mauro@suse.de
- Updated translations.
* Thu Mar 27 2008 mauro@suse.de
- Updated translations to fix bnc#369147
* Wed Mar 26 2008 sreeves@suse.de
- Fix for bnc#366732 - better template files.
* Fri Mar 14 2008 mauro@suse.de 
- Updated translations.
* Tue Feb 26 2008 jberkman@novell.com
- change the hard drive action to running gnome-system-monitor (bnc #357397)
* Thu Feb 21 2008 mauro@suse.de
- Updated translations.
* Thu Feb 21 2008 mauro@suse.de
- Updated translations.
* Fri May  4 2007 jimmyk@suse.de
- Fix translations, BNC #254817.
- Fix drag-n-drop crash, BNC #268932.
* Mon Apr 30 2007 jimmyk@suse.de
- Fix signal handling, BNC #255065.
* Mon Apr 23 2007 jimmyk@suse.de
- Pulled in corrected translations, BNC #266283.
* Thu Apr 19 2007 sreeves@suse.de
- Fix for 266017 - incorrect categories in .desktop files
* Wed Apr 11 2007 jimmyk@suse.de
- Update translations from lcn repository and added missing strings from
  nautilus, BNC #254817.
* Mon Apr  2 2007 jimmyk@suse.de
- Fix for BNC #247747, BNC #239125 - do not load remote files into the
  main-menu.
* Tue Mar 27 2007 jimmyk@suse.de
- Fix for BNC #256570 - recover corrupted .xbel files.
* Fri Mar 23 2007 jimmyk@suse.de
- Fix for BNC #244456 - patch memory leaks.
- Fix for BNC #249188 - use a valid, empty .ods file.
* Mon Mar 19 2007 jimmyk@suse.de
- Fix for BNC #186888 - close menu when upgrade/uninstall is triggered
- Fix for BNC #244821 - properly handle lockdown configurations
- Fix for BNC #246802 - properly manage bookmarks
* Mon Mar 12 2007 sreeves@suse.de
- Fix for #250415 - allow custom theming of various instances of CC
* Thu Mar  8 2007 jimmyk@suse.de
- Yet another attempt to fix the .spec file, BNC #251872.
* Thu Mar  8 2007 jimmyk@suse.de
- Fix .spec file (again) to properly install applications.xbel, BNC #251872.
* Tue Mar  6 2007 jimmyk@suse.de
- Revert previous .spec fix since the prescribed macro cannot distinguish
  between Server and Desktop versions of SLE, BNC #251872.
* Mon Mar  5 2007 jimmyk@suse.de
- Fix .spec file to use proper distro checking.
- Remove unnecessary separators from context menus, BNC #240238.
- Properly display saved searches, BNC #246798.
* Tue Feb 27 2007 jimmyk@suse.de
- Fix defaults to allow for 10.2 and GNOME submission.
- Fix handling of gconf inconsistencies, BNC #246781.
* Fri Feb 16 2007 jimmyk@suse.de
- Added new translations.
- Changed default "Places", BNC #236986.
- Changed default "Documents", BNC #236987.
- Changed location of "More Documents ...", BNC #240235.
- Fix crash on "Send To...", BNC #244171.
* Thu Feb 15 2007 jimmyk@suse.de
- Fix handling of disable_command_line setting, BNC #243705.
- Fix handling of lockdown gconf keys, BNC #245199, BNC #184310.
- Hide empty file tables, BNC #240233.
* Thu Feb  8 2007 jimmyk@suse.de
- Change background color from GTK_STATE_PRELIGHT to GTK_STATE_NORMAL, BNC
  [#243618].
- Open menu on button-down, not button-up, BNC #241584.
* Tue Feb  6 2007 jimmyk@suse.de
- Fix POTFILES.in to point to all the files with translatable strings.
- Fix menu positioning to appear above the panel.
* Tue Jan 30 2007 jimmyk@suse.de
- Fix for BNC #240232, properly handles improperly name System items.
- Fix for BNC #162956, properly handles multiple -monitor screens.
- Fix for BNC #178669, BNC #227545, moved system area configuration from GConf
  to XBEL.
- Fix for BNC #182925, BNC #236470, BNC #236474, BNC #238009, BNC #240353,
  properly handle items added to the file area.
- Fix for BNC #212495, connect to the correct signal in the about dialog to
  close properly.
- Fix for BNC #215001, connect to the correct signal in the panel button to
  open properly with keyboard.
- Fix for BNC #235423, this was fixed as a hotfix, including the fix in this
  release.
- Fix for BNC #236465, create more sensible drop area for adding items to the
  main-menu, also give better feedback on rearranging.
- Fix for BNC #236473, properly obey urgent close preferences.
- Fix for BNC #236536, BNC #238009, properly obey file area blacklists.
* Mon Jan 22 2007 jpr@suse.de
- Remove erroneous c/p requirements
* Mon Jan 22 2007 jpr@suse.de
- Enable the nautilus extension and put it in a separate package, part
  of fate #301040
* Fri Jan 19 2007 jimmyk@suse.de
- Redesigned the System section of the main-menu to be more configurable by the
  user.  Additionally, added a dependency on libssui, Fate ID 301033.
- Changed hard drive status tile to open nautilus instead of
  gnome-system-monitor, Fate ID 301039.
- Redesigned the file area of the main-menu to show 2 tables (Favorites and
  Recently Used) for 3 different categories (Applications, Documents, and
  Places) instead of showing 3 tables (Favorite Applications, Recent
  Applications, and Recent Documents), Fate ID 301040.
* Tue Nov 28 2006 jimmyk@suse.de
- Make sure dbus does not call exit on disconnect.  Fix for BNC #213516,
  swamp-id: 7158.
* Wed Oct 25 2006 jimmyk@suse.de
- Removed libgnomesu and gnome-terminal from Requires, BNC #214768.
* Tue Oct 24 2006 jimmyk@suse.de
- Updated to v0.6.3 to remove all the patches.
- Removed use of ~/.recently-used-apps, BNC #208368.
* Thu Oct 19 2006 jimmyk@suse.de
- Readd zen-updater patch (BNC #198415) to SP1 branch.
* Thu Oct 19 2006 jimmyk@suse.de
- Back out zen-updater patch (BNC #198415) this will be reserved for SP1.
- 2006-10-04  Jim Krehl  <jimmyk@novell.com>
  * libtile/application-tile.c
  libtile/document-tile.c:
  Changed from wrapping lines to ellipsizing the headers of application
  and document tiles.  BNC #191536.
- 2006-10-02  Jim Krehl  <jimmyk@novell.com>
  * libtile/application-tile.c:
  Removed file monitors from the application tile, fix for BNC #186555.
  * main-menu/src/file-area-widget.c:
  Removing file monitors reverts the fix for BNC #142932.  Instead of
  monitoring the .desktop file to fix BCN #142932, the main-menu culls
  out non-existent files from the user_specified_apps list which
  maintains consistency without the expense of monitoring all .desktop
  files.
* Mon Oct  2 2006 jimmyk@suse.de
- Fix for BNC #198415 - Removes "Requires" dependency on zen-updater and
  disables package management functionality in package management software is
  not configured or present in
- Fix for BNC #204707 - Checks for NULL haystack before calling strstr.
* Fri Aug 11 2006 sreeves@suse.de
- Fix for 193382 - hang when using lotus notes.
  gnome-main-menu-BNC-193382.patch
- Fix for 188420 - multiple launch when using keyboard
  gnome-main-menu-single-launch.patch
- Fix for 177414 and 187418 - memory leaks and update fi.po
  gnome-main-menu-memory-po.patch
* Tue Jun 27 2006 sreeves@suse.de
- Fix for 175645 - update po files to latest lcn for missing translations
* Fri Jun 23 2006 jimmyk@suse.de
- Added a patch to fix empty COPYING file, BNC #187871.
* Mon Jun 19 2006 sreeves@suse.de
- Fix for 175646 - error in Japanese po file
  Fix for 177414 - more memory leaks
* Mon Jun 19 2006 jimmyk@suse.de
- Make the main-menu respect the /apps/nautilus/preferences/enable_delete key,
  BNC #183636.
- Added functionality to remove entries from ~/.recently-used when a user
  deletes/trashes a document from the main-menu (BNC #181704) and rewrites
  ~/.recently-used when a user renames a file with the main-menu (BNC #183638).
  Additionally, make the main-menu less naive about these operations if they
  fail (BNC #185170).
* Sat Jun 17 2006 jimmyk@suse.de
- Added a keyboard grab to the main-menu, BNC #185462.
- Memory leak fixes, BNC #177414.
* Fri Jun  9 2006 jimmyk@suse.de
- main-menu/src/document-tile.c:
  Switched the "Send To" trigger from using g_spawn_async with a full command
  line as one string to using the argv array.  This prevents the shell from
  having to parse potentially problematic strings, BNC #183045.
  Additionally, make the "Send To" menu option insensitive if the file is not
  local, BNC #183190.
* Sat Jun  3 2006 sreeves@suse.de
- More improvements for 180305 - AB crash when gconf key zero
* Thu Jun  1 2006 sreeves@suse.de
- Fix for 180305 - AB crash when gconf key newapps equals zero
  Also found an existing string that was not marked for translation
* Wed May 31 2006 jimmyk@suse.de
- main-menu/src/document-tile.c:
  Cleaned up some memory issues for BNC #177862, BNC #177414, BNC #177756.
  Also made sure that a DocumentTile always at least has a default icon,
  "gnome-fs-regular".
- main-menu/src/main-menu.c
  main-menu/src/network-status-tile.c:
  Incorporated a patch submitted by Zhe Su for BNC #179578.  The network
  information dialog uses a glade file from the NetworkManager package, this
  patch ensures that the localization is taken from the NetworkManager domain
  instead of the gnome-main-menu domain.
* Wed May 31 2006 zsu@suse.de
- bugzilla #179578. Load localized network connection dialog correctly
  by using "NetworkManager" domain when creating glade object.
* Tue May 23 2006 sreeves@suse.de
- Fix for 177807 - main menu crash
  Partial fix for 175646 - added a translator comment to control-center.schemas.in
  and applied patch to POTFILES.in
* Thu May 18 2006 jimmyk@suse.de
- Added support for the /desktop/gnome/lockdown/disable_command_line key in the
  main-menu.  Any .desktop file with the TerminalEmulator category will not be
  display if this key is TRUE.  Also added support for the
  /apps/panel/global/disable_{lock_screen,log_out} keys.  BNC #172687.
- Changed gconf schema defaults nautilus.desktop to nautilus-home.desktop, BNC
  [#176381].
- Fixed null pointer deference behind BNC #176709.  Also fixed an related
  but unreported bug -- when dragging a launcher from outside the
  main-menu onto a "Favorite App" that launcher was not added to the
  Favorite Apps list.
* Wed May 17 2006 jimmyk@suse.de
- Fix for BNC #142932.  Added file monitors to application tiles to turn
  themselves on and off if the underlying .desktop file {dis,re}appears.
  Added functionality to the TileTable widget in the main-menu to
  automatically handle this new application tile behavior.
* Thu May 11 2006 jimmyk@suse.de
- Fix for BNC #152992
  keyboard shortcut alt-f1 shows the panel menu instead of the slab
* Fri May  5 2006 jimmyk@suse.de
- Fix for BNC #171114
  Slab/Main Menu "blue" area excessively wide with long ESSIDs
* Wed May  3 2006 jimmyk@suse.de
- Fix for BNC #171100
  Gnome Main Menu spacing
* Wed May  3 2006 jimmyk@suse.de
- Fix for BNC #170704, BNC #171131.
* Tue May  2 2006 jimmyk@suse.de
- Fix for BNC #170356, BNC #158503, BNC #170702, BNC #168643
* Tue Apr 25 2006 sreeves@suse.de
- Fix for 168630 - scrolling problem
* Sun Apr 23 2006 aj@suse.de
- Fix build.
* Fri Apr 21 2006 jimmyk@suse.de
- Applied i18n patch.
* Wed Apr 19 2006 sreeves@suse.de
- Fix for 146557 - CC font cropping
* Wed Apr 19 2006 sbrabec@suse.cz
- Updated I18N patch (#157379).
* Tue Apr 18 2006 jimmyk@suse.de
- Fix for BNC #138730.
* Tue Apr 18 2006 sbrabec@suse.cz
- Updated translations: de, es, fi, fr, it, ja, pl, pt_BR, zh_CN,
  zh_TW.
* Fri Apr 14 2006 jimmyk@suse.de
- Fix for BNC #160191, BNC #146300
  160191: Rearranging icons in "Recently used" adds the item to
    Favorite Apps
  146300: A few incorrect labels in the main menu
* Mon Apr 10 2006 sreeves@suse.de
- Fix for #136989, #158253, #158820, Update color/position of group selection
    136989, 158253 - eliminate duplicate entries
    158820 - previous selection highlight bug
* Mon Apr 10 2006 sbrabec@suse.cz
- Translations update.
- Devel dependencies update.
* Tue Apr  4 2006 jimmyk@suse.de
- Fix for BNC #163264, possible fix for BNC #162466, BNC #162920.
  163264: gnome-main-menu crashes on resume from suspend-to-ram
  162466: slab: crash
  162920: main menu hang
* Wed Mar 29 2006 sbrabec@suse.cz
- I18N fixes (#157379).
- Added Hungarian translation and some dumb translations.
* Mon Mar 27 2006 jimmyk@suse.de
- Fix network status tile, BNC #158173.
* Fri Mar 24 2006 sbrabec@suse.cz
- Added Czech translation.
- Fixed devel dependencies.
* Wed Mar 15 2006 jimmyk@suse.de
- Update to new NM applet info dialog UI.
- Add an about dialog to the panel item.
* Mon Mar 13 2006 jimmyk@suse.de
- Adjust AB colors
* Mon Mar 13 2006 jimmyk@suse.de
- Fix for 156846, 154780.
- Fix for BNC #139617.
* Sat Mar 11 2006 jimmyk@suse.de
- Removed beagle-gui dependency
- Fix for BNC #157166
* Thu Mar  9 2006 jimmyk@suse.de
- Fix network connection info dialog
- Added broken icon reloading for BNC #148034
* Mon Mar  6 2006 jimmyk@suse.de
- Change evolution-2.6.desktop to evolution.desktop
- Remove NM install dependency
* Sat Mar  4 2006 jimmyk@suse.de
- Fix for BNC #154440, #154266, #149735, update to new NM API
* Wed Mar  1 2006 jimmyk@suse.de
- Fix for BNC #152405
* Thu Feb 23 2006 jimmyk@suse.de
- Fix for multiple AB launches.  Fix for BNC #152173.
* Sun Feb 19 2006 aj@suse.de
- Fix filelist.
* Fri Feb 17 2006 gekker@suse.de
- Make names of menu in add to panel applet less confusing (#137006)
* Fri Feb 17 2006 jimmyk@suse.de
- Fix for BNC #150012, Fixes for the 2006-02-17 walkthrough.
* Wed Feb 15 2006 jimmyk@suse.de
- Fix for BNC #149031
* Wed Feb  8 2006 jimmyk@suse.de
- Fix submission error.
* Mon Feb  6 2006 jimmyk@suse.de
- Fix for BNC #143115, BNC #146041
* Thu Feb  2 2006 joeshaw@suse.de
- Require beagle-gui, rather than beagle for correctness.
* Tue Jan 31 2006 jpr@suse.de
- Fix files list for new language
* Mon Jan 30 2006 jimmyk@suse.de
- Update to version 0.2.8
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 jimmyk@suse.de
- Update to version 0.2.7
* Mon Jan 16 2006 jimmyk@suse.de
- Update to version 0.2.6
* Fri Jan 13 2006 gekker@suse.de
- Requires: holmes -> beagle, that code is in beagle now
* Mon Jan  9 2006 sreeves@suse.de
- Update to version 0.2.5
* Thu Dec 22 2005 sreeves@suse.de
- Update to version 0.2.4
* Mon Dec 19 2005 jimmyk@suse.de
- Update to version 0.2.3
* Mon Dec 12 2005 sreeves@suse.de
- Fix for #138022 - app browser shown on startup
* Sat Dec 10 2005 sreeves@suse.de
- Move to single click launch and singleton instance
* Fri Dec  9 2005 jimmyk@suse.de
- Update to version 0.2.0 (Recently Used Apps debut)
* Thu Dec  1 2005 jimmyk@suse.de
- Update to version 0.1.1
* Wed Nov 23 2005 sreeves@suse.de
- install new apps schema
* Fri Nov 18 2005 jpr@suse.de
- Prequire gconf and filesystem
- Install schemas with makefile-install-rule
* Wed Nov 16 2005 jimmyk@suse.de
- Update to version 0.0.9
* Tue Nov 15 2005 jpr@suse.de
- Patch to default to best as the search tool for now
* Thu Nov 10 2005 gekker@suse.de
- Update to version 0.0.8
* Mon Oct 31 2005 gekker@suse.de
- Update to version 0.0.7
* Fri Oct 28 2005 gekker@suse.de
- Fix build on x86_64
* Thu Oct 27 2005 gekker@suse.de
- Initial import of package into autobuild, Version 0.0.6
